import type { FieldError, FieldErrors } from 'react-hook-form';
import { DateFormat } from '../../constants/date-time-constants';
import './dateTimeRangePicker-styles.scss';
interface IValue {
    startDate: string | null;
    endDate: string | null;
}
interface IError {
    startDate?: FieldError;
    endDate?: FieldError;
}
export interface IAdminDateRangePicker {
    value?: IValue;
    minStartDate?: string | null;
    minEndDate?: string | null;
    dateFormat?: DateFormat;
    onChange?: (date: IValue) => void;
    label?: string;
    errors?: FieldErrors<IError>;
}
declare const DateRangePicker: (props: IAdminDateRangePicker) => import("react/jsx-runtime").JSX.Element;
export default DateRangePicker;
