declare const UserStore: import("mobx-state-tree").IModelType<{
    isSignedIn: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>, [undefined]>;
    isRegisterAdminLoading: import("mobx-state-tree").ISimpleType<boolean>;
    isEmailExisting: import("mobx-state-tree").ISimpleType<boolean>;
}, {
    setIsSignedIn: (value: boolean) => void;
    logoutUser: () => void;
    registerNewAdmin: (email: string, password: string, successCallback?: (() => void) | undefined) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
    checkEmailExists: (email: string) => Promise<import("mobx-state-tree/dist/internal").FlowReturn<void>>;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export { UserStore };
