import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Typography } from '@mui/material';
import { StatCardAlignment } from '../../pages/dashboard/constants';
import './adminStatCard-styles.scss';
const AdminStatCard = (props) => {
    const { icon: Icon, title, subtitle, stat, color = '#fff', alignment = StatCardAlignment.Vertical, } = props;
    return (_jsxs("div", { className: `adminStatCard__${alignment === StatCardAlignment.Horizontal ? 'containerHorizontal' : 'container'}`, style: { backgroundColor: color }, children: [_jsx(Icon, { fill: color }), _jsxs("div", { children: [_jsx(Typography, { className: "adminStatCard__title", children: title }), _jsx(Typography, { className: "adminStatCard__subtitle", children: subtitle }), _jsx(Typography, { className: "adminStatCard__stat", children: stat })] })] }));
};
export default AdminStatCard;
