import { type ComponentType } from 'react';
export declare enum TABLE_ACTIONS_KEYS {
    VIEW = "view",
    EDIT = "edit",
    DELETE = "delete",
    ADD = "add",
    SEARCH = "search",
    TOGGLE = "toggle"
}
export declare enum TableSortingOrder {
    ASC = "asc",
    DESC = "desc"
}
export interface TableAction {
    Icon: ComponentType;
    key: TABLE_ACTIONS_KEYS;
    label: string;
    showInMenu: boolean;
}
export declare const DEFAULT_COLUMN: {
    sortable: boolean;
    headerName: string;
    isVisible: boolean;
};
export declare const ROW_PER_PAGE: number[];
export declare enum TableCellType {
    ACTIONS = "actions",
    DATE = "date",
    IMAGE = "image",
    TEXT = "text",
    CHIP = "chip",
    ANIMATED_STATUS = "animatedStatus",
    BOOLEAN = "boolean",
    DATE_TIME = "date_time"
}
export declare const TABLE_ACTIONS: TableAction[];
